Subject: Re: [PATCH] Added make options NO_GUI and WITH_P4IMPORT.

From: Eygene Ryabinkin <[email-masked]>
Date: Wed, 21 Mar 2007 17:40:08 +0300

Johannes,

Wed, Mar 21, 2007 at 03:25:32PM +0100, Johannes Schindelin wrote:
> > I am happening to develop on some machines on which I have no
> > X-Windows or any GUI providers at all, so I prefer not to have the
> > Tcl/Tk dependency at all.
> 
> My point (and I think it's the same point as Jakub's) is that NO_GUI is a 
> misnomer. It should be NO_TCL, since the only reason you state to skip 
> installation of these parts is that they depend on X11, which is not 
> installed on the machine.

Can't speak for Jakub, but it seems to me that he just suggested
that the configure should look if the Tcl/Tk is available and refuse
to install the GUI tools if there is no Tcl/Tk. Though only Jakub
can tell for sure.

> If you don't do something, it is often interesting to state why: if you 
> don't install something to prevent a dependency you don't want to have, it 
> is different from saying that you do not want to have a GUI, _even if_ the 
> dependency is there already.

But I am saying that I do not want the GUI tools installed because
I do not need GUI at all. And if the GUI will be rewritten to the
Qt (oh, my, don't do that) I will still have no need of it.

> Conclusion: I am in favour of NO_TCL, but not of NO_GUI.

I am not against such renaming as long as the TCL will be used
for the GUI part of git. Should I file a patch for the NO_GUI ->
NO_TCL change? What do others think about the knob name?
-- 
Eygene